%define 	name	gnomerar
%define 	version	0.4.3
%define 	release	1
%define 	serial	1
%define 	prefix	/usr

Summary: 	Frontend for RAR archiver for X Windows
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications
Url:		http://gnomerar.ehnet.org/
Vendor:		Lucian Langa <cooly@gyl.ro>
Source:		http://gnomerar.ehnet.org/%{name}-%{version}.tar.gz
Distribution:   Freshmeat RPMs
Packager:	Lucian Langa <cooly@gyl.ro>
BuildRoot:	/tmp/%{name}-%{version}
Requires:	gtk+ >= 1.2.3

%description
gnomerar is a frontend for gnomerar for X Windows written using Gtk. It
features creanting, extracting, deleting files from archives, encrypting 
archives with password, testing of archives, viewing files in archive.

%changelog
* Mon Jun  5 2000 Benoit Dien <bdien@packetengines.com>
- Changed automake/autoconf stuff to compile all stuff
- Fixed spec file

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

for FILE in "$RPM_BUILD_ROOT/bin/*"; do
        file "$FILE" | grep -q not\ stripped && strip $FILE
done


%files
%defattr(-,root,root)
%doc ChangeLog COPYING COPYING.LIB README TODO
%{prefix}/bin/gnomerar
#%{prefix}/share/gnome/apps/Applications/gnomerar.desktop
%{prefix}/share/pixmaps/gnomerar/*
#%{prefix}/man/man1/gnomerar.1
#%{prefix}/share/locale/*/LC_MESSAGES/gnomerar.mo

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
